> ## Documentation Index
> Fetch the complete documentation index at: https://wpay-feat-edp-guide.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a payment method

> Remove a stored payment method

A previously vaulted payment method can be deleted by calling the
[`DELETE /payment-methods/{payment_method_id}`][api] API.

<Warning>
  This API does not delete the stored payment method from any of the
  underlying payment services.
</Warning>

<CodeGroup>
  ```bash cURL
  curl -i -X DELETE "https://api.example.gr4vy.app/payment-methods/77a76f7e-d2de-4bbc-ada9-d6a0015e6bd5" \
      -H "Authorization: Bearer [JWT_TOKEN]"
  ```

  ```js Node
  await client.deletePaymentMethod("77a76f7e-d2de-4bbc-ada9-d6a0015e6bd5");
  ```
</CodeGroup>

The API returns an empty response once the payment method was deleted.

[api]: /reference/payment-methods/delete-payment-method
